Bug 140685 - Changes in gutter position are not applied immediately but need reload
Summary: Changes in gutter position are not applied immediately but need reload
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Gutter-Margins
  Show dependency treegraph
 
Reported: 2021-02-26 17:17 UTC by Regina Henschel
Modified: 2021-04-17 02:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2021-02-26 17:17:25 UTC
This is a follow-up to bug 140684.
Open attachment https://bugs.documentfoundation.org/attachment.cgi?id=170088.
It is a document in portrait orientation with a single page in landscape. It has set gutter width of 15mm.

Go to page style "Landscape" and change the gutter position to "Top". OK. Because "Top" is a document setting, it needs to be applied to all pages. But that is not the case. Save and reload shows the actual, expected layout.

Expected: The layout of all pages changes immediately.
Comment 1 Raji 2021-03-02 12:28:39 UTC
Hello Regina,

Thank you for reporting the bug. I can confirm this bug is present in 
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 6fb9f368c6824a8ff7bc5bc5cf66fc2df7d055b7
CPU threads: 8; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL


Note:

Actually gutter change is applied to all the pages in the attached document, except the page one with the table, It applied after save and reload.
Comment 2 Rizal Muttaqin 2021-04-17 02:56:01 UTC
(In reply to Raji from comment #1)

> 
> Note:
> 
> Actually gutter change is applied to all the pages in the attached document,
> except the page one with the table, It applied after save and reload.

From user perspective this is strange IMHO. How user expect to save and reload after modification?